#include "RandomSourceWrapper.h"

class PhGen {
 public:
  //  PhGen(char* filename);

  virtual void setUniformRandomSource(RandomSourceWrapper * randomSource) = 0;
  virtual double getVariate() = 0;

};
